{"ok":true,"data":{"openapi":"3.1.0","info":{"title":"PlatPhorm BrowserOps","version":"0.1.0","description":"Browser truth, artifacts, and release evidence for the PlatPhorm network.","contact":{"name":"Support","url":"https://platphormnews.com"}},"servers":[{"url":"https://browserops.platphormnews.com","description":"Production"}],"paths":{"/api/health":{"get":{"summary":"Health Check","description":"Check if the service is operational","tags":["System"],"responses":{"200":{"description":"Service is healthy","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"boolean"},"data":{"type":"object","properties":{"service":{"type":"string"},"status":{"type":"string"},"version":{"type":"string"}}}}}}}}}}},"/api/v1/journeys":{"get":{"summary":"List All Journeys","description":"Retrieve all browser journeys","tags":["Journeys"],"parameters":[{"name":"limit","in":"query","schema":{"type":"integer","default":20}},{"name":"offset","in":"query","schema":{"type":"integer","default":0}}],"responses":{"200":{"description":"List of journeys"}}},"post":{"summary":"Create Browser Journey","description":"Create a new browser journey with steps","tags":["Journeys"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string"},"description":{"type":"string"},"intent":{"type":"string"},"tags":{"type":"array","items":{"type":"string"}}}}}}},"responses":{"201":{"description":"Journey created successfully"},"400":{"description":"Invalid journey payload"}}}},"/api/v1/runs":{"get":{"summary":"List Browser Runs","description":"Retrieve execution runs for journeys","tags":["Runs"],"responses":{"200":{"description":"List of runs"}}},"post":{"summary":"Execute Browser Journey","description":"Execute a journey and capture browser trace","tags":["Runs"],"responses":{"201":{"description":"Run executed successfully"},"503":{"description":"Network service unavailable"}}}},"/api/v1/readiness":{"get":{"summary":"Get Release Readiness","description":"Retrieve release readiness report","tags":["Readiness"],"responses":{"200":{"description":"Readiness report"}}},"post":{"summary":"Evaluate Readiness","description":"Submit verification checks and evaluate readiness","tags":["Readiness"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"checks":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"status":{"type":"string","enum":["pass","warn","fail","pending"]},"message":{"type":"string"}}}}}}}}},"responses":{"201":{"description":"Readiness evaluation complete"}}}},"/api/v1/artifacts":{"get":{"summary":"List Artifacts","description":"Retrieve captured artifacts (screenshots, logs)","tags":["Artifacts"],"responses":{"200":{"description":"List of artifacts"}}}},"/api/v1/network/sync":{"get":{"summary":"Sync Network Graph","description":"Synchronize with PlatPhorm Network service registry","tags":["Network"],"responses":{"200":{"description":"Network graph synchronized"}}}}},"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"apiKey":{"type":"apiKey","in":"header","name":"X-API-Key"}}},"security":[{"bearerAuth":[]},{"apiKey":[]}]}}